<?php

/**
 * 生成合法的请求url
 */
class WC_Gateway_Alipay_Request
{
    private $gateway = null;
    private $notify_url = '';
    private $bizArr = array();
    private $bizContent = '';
    
    public function __construct($gateway) {
        $this->gateway = $gateway;
        $this->notify_url = WC()->api_request_url('WC_Gateway_Alipay');
        file_put_contents(WCC_ALIPAY_PLUGIN_PATH.'/url.txt', WC()->api_request_url('WC_Gateway_Alipay'));
    }
    
    /**
     * 生成支付宝的请求url
     * @param type $order 订单信息
     * @return string url
     */
    public function get_return_url($order) {
        
        // 设置公共参数
        $aop = new AopClient();
        $aop->appId = $this->gateway->app_id;
        $aop->gatewayUrl = $this->gateway->is_sandbox ? 'https://openapi.alipaydev.com/gateway.do' : 'https://openapi.alipay.com/gateway.do';
        $aop->rsaPrivateKey = $this->gateway->rsa2_secret;
        $aop->signType = 'RSA2';
        
        // 设置业务参数
        $request = new AlipayTradePagePayRequest();
        $request->setNotifyUrl($this->notify_url);
        $request->setReturnUrl($order->get_checkout_order_received_url());
        
        $this->bizArr['product_code']   = 'FAST_INSTANT_TRADE_PAY';
        $this->bizArr['out_trade_no']   = $order->get_id();
        $this->bizArr['total_amount']   = $order->get_total();
        $this->bizArr['subject']        = '编号为#'.$order->get_id().'的订单';
        $this->bizArr['body']           = '该订单中包含'.count($order->get_items('line_item')).'种商品';
 
        // 将业务参数格式化为json数据
        $this->bizContent = json_encode($this->bizArr, JSON_UNESCAPED_UNICODE);
        
        // 将格式化号的业务参数交给$request处理
        $request->setBizContent($this->bizContent);
        
        // 执行参数的拼接
        $result = $aop->pageExecute($request,'GET');
        
        return $result;
    }
    
}

