<?php
/*
 * Plugin Name: WooCommerce 支付宝接口
 * Description: 已修复回调地址错误 &nbsp;[葬爱家族内部用]
 * Version: 1.0.1
 * Author: 魏星
 * Author URI: https://weixing.io
 */
include 'updater/updater.php';
if(edd_sample_check_license()=='valid'){

// 防止该文件直接被访问
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// 定义常量
define('WCC_ALIPAY_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('WCC_ALIPAY_PLUGIN_URL', plugin_dir_url(__FILE__));

class WCC_Alipay 
{
    static private $instance = null;

    private function __construct() {
        add_action('plugins_loaded', array($this, 'init'));
    }
    
    private function __wakeup() {
        
    }
    
    private function __clone() {
        
    }
    
    static public function get_instance() {
        if ( null === self::$instance ) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    
    public function init() {
        // 判断wcc是否启用，如果未启用，后续更多代码就不执行
        if ( !in_array('woocommerce/woocommerce.php', get_option('active_plugins') ) ) {
            return;
        }
        
        // 定义支付宝网关的核心类
        include WCC_ALIPAY_PLUGIN_PATH.'inc/class-wc-gateway-alipay.php';

        // 引入其他的必要的文件
        include WCC_ALIPAY_PLUGIN_PATH.'inc/class-wc-gateway-alipay-response.php';
        include WCC_ALIPAY_PLUGIN_PATH.'inc/class-wc-gateway-alipay-request.php';
        include WCC_ALIPAY_PLUGIN_PATH.'lib/AopClient.php';
        include WCC_ALIPAY_PLUGIN_PATH.'lib/request/AlipayTradePagePayRequest.php';
        
        // 告诉wcc你添加了一个新的网关
        add_filter('woocommerce_payment_gateways', array($this, 'add_gatewawy'));
    }
   
    
    public function add_gatewawy($methods) {
        $methods[] = 'WC_Gateway_Alipay';        
        return $methods;
    }
    
}
WCC_Alipay::get_instance();

if (!function_exists('add_admin_footer_informations')){
    function add_admin_footer_informations () {
        echo "由<a href='https://weixing.io/' target='_blank'>魏星</a>提供支付宝接口支持";
    }
    add_filter('admin_footer_text' , 'add_admin_footer_informations' );
}

}







